Нужно ли переходить на .NET 4.0 ?

 Лото-программа Лоттобалл написана под Framework .NET 3.5. Но вот стали поступать предложения (пока единичные) о переходе на более новые версии .NET 4.0 и даже 4.5. Разные версии я поддерживать не смогу, поэтому пока собираю различные мнения. Плюсы перехода : современные версии могут содержать новые пока еще невостребованные возможности. Windows 8 идет с поддержкой .NET 4.0, а старые приходится доустанваливать. Со временем так и так придется переходить, так как "все течет все изменяется". Читать далее »